Ed25519ctxSigner (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.signers

## Class Ed25519ctxSigner

- java.lang.Object
- - org.bouncycastle.crypto.signers.Ed25519ctxSigner

- All Implemented Interfaces:
    Signer

      public class Ed25519ctxSigner
      extends java.lang.Object
      implements Signer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ed25519ctxSigner(byte[] context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateSignature()` generate a signature for the message we've been loaded with using the key we were initialised with.
    `void` | `init(boolean forSigning, CipherParameters parameters)` Initialise the signer for signing or verification.
    `void` | `reset()` reset the internal state
    `void` | `update(byte b)` update the internal digest with the byte b
    `void` | `update(byte[] buf, int off, int len)` update the internal digest with the byte array in
    `boolean` | `verifySignature(byte[] signature)` return true if the internal state represents the signature described in the passed in array.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Ed25519ctxSigner

          public Ed25519ctxSigner(byte[] context)

  - ### Method Detail

    - #### init

          public void init(boolean forSigning,
                           CipherParameters parameters)

      Description copied from interface: `Signer`
      Initialise the signer for signing or verification.
      Specified by:
        `init` in interface `Signer`
      Parameters:
        `forSigning` - true if for signing, false otherwise
        `parameters` - necessary parameters.

    - #### update

          public void update(byte b)

      Description copied from interface: `Signer`
      update the internal digest with the byte b
      Specified by:
        `update` in interface `Signer`

    - #### update

          public void update(byte[] buf,
                             int off,
                             int len)

      Description copied from interface: `Signer`
      update the internal digest with the byte array in
      Specified by:
        `update` in interface `Signer`

    - #### generateSignature

          public byte[] generateSignature()

      Description copied from interface: `Signer`
      generate a signature for the message we've been loaded with using the key we were initialised with.
      Specified by:
        `generateSignature` in interface `Signer`

    - #### verifySignature

          public boolean verifySignature(byte[] signature)

      Description copied from interface: `Signer`
      return true if the internal state represents the signature described in the passed in array.
      Specified by:
        `verifySignature` in interface `Signer`

    - #### reset

          public void reset()

      Description copied from interface: `Signer`
      reset the internal state
      Specified by:
        `reset` in interface `Signer`